Bug 1487710 - [RFE] Package and provide the zypper plugin for subscription-manager.
Summary: [RFE] Package and provide the zypper plugin for subscription-manager.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1546813 1536491
TreeView+ depends on / blocked
 
Reported: 2017-09-01 16:59 UTC by Dylan Gross
Modified: 2019-11-05 23:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:28:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30:00 UTC
Foreman Issue Tracker 22889 None None None 2018-07-29 17:29:41 UTC

Description Dylan Gross 2017-09-01 16:59:56 UTC
1. Proposed title of this feature request

   Package and provide the zypper plugin for subscription-manager as a supported RedHat-provided package as well as the subscription-manager via a method for non-RHEL clients.


3. What is the nature and description of the request?

  Deliver and support the zypper plugin for subscription-manager.

4. Why does the customer need this? (List the business requirements here)

  In order to manage SLES clients with Red Hat Satellite 6.x, subscription-manager needs a plugin for zypper.


5. How would the customer like to achieve this? (List the functional requirements here)

   Functionality exists currently upstream 

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully implemented.

  SLES clients will be able to use subscription-manager to manage repos and content, while the zypper plugin would replace yum functionality 

7. Is there already an existing RFE upstream or in Red Hat bugzilla?

  Unknown.
 
8. Does the customer have any specific timeline dependencies?

  As soon as able.
 

9. Is the sales team involved in this request and do they have any additional input?

  Yes

10. List any affected packages or components.

   Subscription-manager

11. Would the customer be able to assist in testing this functionality if implemented?

   Yes.

Comment 10 errata-xmlrpc 2018-10-16 15:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.